//© Smell of Curry
import * as suggy from "../../index.js";

class Command {
  constructor() {
    this.registration = [];
  }


  register(command) {
    this.registration.push({
      tags: command.tags ?? [],
      name: command.name.toLowerCase(),
      aliases: command.aliases 
        ? command.aliases.map((v) => v.toLowerCase())
        : null,
      description: command.description ?? "",
      cooldown: command.cooldown,
      usage: command.usage ?? [" "],
      example: command.example ?? null,
      run: command.run
    });
  }

  getAllRegistation() {
    return this.registration;
  }
}


export let command = new Command();