import { world } from "mojang-minecraft";
import * as suggy from "../../index.js";

class Events {
    constructor() {}
    
   ready(callback) {
    let tick = world.events.tick.subscribe(() => {
    suggy.client.runCommand("testfor @a")  
    
world.events.tick.unsubscribe(tick);
   return callback();
    })   
   } 
    
    message(callback) {
    world.events.beforeChat.subscribe((data) => {
        
   return callback(new suggy.Message(data))   
    }) 
    }
    
    death(callback) {
    world.events.tick.subscribe(() => {
    for(const pl of world.getPlayers()) {
    if(pl.hasTag("suggy:died")) {
     pl.removeTag("suggy:died")

     return callback({
      player: pl   
     });
       }   
     } 
    })
    }
    
    
    beforeExplosion(callback) {
    world.events.beforeExplosion.subscribe((data) => {
    return callback(data)   
    }) 
    }  
    
    beforeItemUse(callback) {
    world.events.temUse.subscribe((data) => {
    return callback(data)   
    }) 
    }  
    
    beforeItemUseOn(callback) {
    world.events.beforeItemUseOn.subscribe((data) => {
    return callback(data)   
    }) 
    }  
    
    beforePistonActivate(callback) {
    world.events.beforePistonActivate.subscribe((data) => {
    return callback(data)   
    })  
    }  
       
    blockBreak(callback) {
    world.events.blockBreak.subscribe((data) => {
    return callback(data)   
    }) 
    }  
    
    blockExplode(callback) {
    world.events.blockExplode.subscribe((data) => {
    return callback(data)   
    })   
    }  
    
    blockPlace(callback) {
    world.events.blockPlace.subscribe((data) => {
    return callback(data)   
    }) 
    }  
    
    effectAdd(callback) {
    world.events.effectAdd.subscribe((data) => {
    return callback(data)   
    })     
    }
    
    entityCreate(callback) {
    world.events.entityCreate.subscribe((data) => {
    return callback(data)   
    })     
    }
    
    entityHit(callback) {
    world.events.entityHit.subscribe((data) => {
    return callback(data)    
    })
    }
    
    entityHurt(callback) {
     world.events.entityHurt.subscribe((data) => {
    return callback(data)    
    })   
    }
    
    explosion(callback) {
     world.events.explosion.subscribe((data) => {
    return callback(data)    
    })      
    }
    
    itemCompleteCharge(callback) {
     world.events.itemCompleteCharge.subscribe((data) => {
    return callback(data)    
    })      
    }
    
    itemReleaseCharge(callback) {
     world.events.itemReleaseCharge.subscribe((data) => {
    return callback(data)    
    })      
    }
    
    itemStartCharge(callback) {
     world.events.itemStartCharge.subscribe((data) => {
    return callback(data)    
    })      
    }
    
    itemStopCharge(callback) {
     world.events.itemStopCharge.subscribe((data) => {
    return callback(data)    
    })      
    }
    
    itemStartUseOn(callback) {
     world.events.itemStartUseOn.subscribe((data) => {
    return callback(data)    
    })      
    }
    
    itemStopUseOn(callback) {
     world.events.itemStopUseOn.subscribe((data) => {
    return callback(data)    
    })      
    }
    
    itemUse(callback) {
    world.events.itemUse.subscribe((data) => {
        
    return callback(data.item, new suggy.ItemUse(data.source))   
    }) 
    }  
    
   itemUseOn(callback) {
    world.events.itemUseOn.subscribe((data) => {
    return callback(data)   
    }) 
    }  
    
    leverActivate(callback) {
    world.events.leverActivate.subscribe((data) => {
    return callback(data)   
    }) 
    }  
    
    pistonActivate(callback) {
    world.events.pistonActivate.subscribe((data) => {
    return callback(data)   
    }) 
    }  
    
    playerJoin(callback) {
    world.events.playerJoin.subscribe((data) => {
    return callback(data)   
    }) 
    }  
    
    playerLeave(callback) {
    world.events.playerLeave.subscribe((data) => {
    return callback(data)   
    }) 
    }  
    
   projectileHit(callback) {
    world.events.projectileHit.subscribe((data) => {
    return callback(data)   
    }) 
    }  
    
    tick(callback) {
     world.events.tick.subscribe((data) => {
    return callback(data)   
    }) 
    }
    
    weatherChange(callback) {
    world.events.weatherChange.subscribe((data) => {
    return callback(data)   
    }) 
    }  
    
}

let events = new Events();

class Client {
    constructor() {
    
    this.events = [
      "ready",  
      "message",
      "beforeExplosion",
      "beforeItemUse",
      "beforeItemUseOn",
      "beforePistonActivate",
      "blockBreak",
      "blockExplode",
      "blockPlace",
      "effectAdd",
      "entityCreate",
      "entityHit",
      "entityHurt",
      "explosion",
      "itemCompleteCharge",
      "itemReleaseCharge",
      "itemStartCharge",
      "itemStartUseOn",
      "itemStopCharge",
      "itemStopUseOn",
      "itemUse",
      "itemUseOn",
      "leverActivate",
      "pistonActivate",
      "playerJoin",
      "playerLeave",
      "projectileHit",
      "tick",
      "weatherChange",
      "death"
        ]
    }
    
    on(eventName, callback) {
    if (!this.events.includes(eventName)) {
    return console.warn(`Event "${eventName}" doesn't exist.`)
    }

    this.emit(eventName, callback)  
       }
    
    
    emit(eventName, cb) {
     if(!this.events.includes(eventName)) {
   return console.warn(`Event "${eventName}" doesn't exist.`)     
     }
     
    return events[eventName](cb);
    }
    
   runCommand(command) {
  return new Promise((res, rej) => {
    try {
 let cmd = world.getDimension("overworld").runCommand(command)
    res(cmd)
    } catch (error) {
     rej(error)
    }
  })
   }
  
  
  broadcast(text) {

   return new Promise((res, rej) => {
   try {
 let cmd = world.getDimension("overworld").runCommand(`tellraw @a {"rawtext":[{"translate":"${text}"}]}`);
   res(cmd)
   } catch (err) {
    rej(err)   
   }
  })
  }
  
  actionbar(text) {
    return this.runCommand(
    `titleraw @a actionbar {"rawtext":[{"translate":"${text}"}]}`    
        )  
  } 
    
}

export const client = new Client();